Subject: Cedar Apple Rust & White Cedar

From: [email-masked] (Jeff M Chambers)
Date: 22 Mar 1995 02:07:02 GMT

First post, been lurking awhile.

     I am considering planting a American Arborvitae (White Cedar) 
screen along a portion of a gravel road for the purpose of screening 
dust from the house and also from our orchard.  The orchard borders 
the road, (i.e., 50' off of) and I was wondering if the white cedar is
subject to cedar apple rust to the same degree that the state weed of 
Southeast Nebraska, red cedar, is?

     Have also considered using Canadian Hemlock for this screen but 
have not had much success with it in other plantings here I belive due
to the hot summer winds.

     Please post or e-mail any thought you have.

     BTW, really enjoy this group!

Jeff Chambers
Adams, Nebraska